﻿* Encoding: UTF-8.

*===================================================================================*
* TÍTULO DE LA SINTAXIS:*
* Cálculo de la Tasa de Mortalidad por Accidentes de Tránsito por cada 100.000 habitantes in situ*
* OPERACIÓN ESTADÍSTICA:*
* Estadísticas de Transporte (ESTRA)*
* Anuario de Estadísticas de Transporte 2021 - Siniestros de Tránsito*
*DIRECCIÓN TÉCNICA RESPONSABLE:*
* Dirección de Estadísticas Económicas (DECON)*
* ENTIDAD EJECUTORA:*
* Instituto Nacional de Estadística y Censos (INEC)*
*===================================================================================*
* Fecha de elaboración:         09 de noviembre de 2021*
* Fecha última modificación:   23 de agosto de 2022*
*===================================================================================*
* Elaborado por:*
* Unidad de Gestión de Estadísticas Estructurales (GESE)*.
* Gabriela Hidalgo.


*Instrucciones:.
*1.- Guardar y abrir la base de datos "2021_FALLECIDOS_ACCIDENTES_TRÁNSITO_BDD".

DATASET NAME ACCIDENTES.
DATASET COPY ACCIDENTES.
DATASET  ACTIVATE ACCIDENTES.

**********************************************************************************************************************.
*TASA DE MORTALIDAD POR ACCIDENTES DE TRÁNSITO POR CADA 100.000 HABITANTES IN SITU***.
**********************************************************************************************************************.


***Agregando la base de datos a nivel de provincia***.
DATASET DECLARE TASA_MORTALIDAD.
AGGREGATE
  /outfile='TASA_MORTALIDAD'
  /break=PROVINCIA
  /NUM_FALLECIDO=SUM(NUM_FALLECIDO).

**Utilización de la base de datos agregada***.
DATASET  ACTIVATE TASA_MORTALIDAD.

***Preparando la base para el cálculo del indicador***.
VARIABLE LABELS NUM_FALLECIDO 'Número de fallecidos'.
FORMATS NUM_FALLECIDO (F10.0).
EXECUTE.


IF (PROVINCIA=1) POBLACION=895503.
IF (PROVINCIA=2) POBLACION=211413.
IF (PROVINCIA=3) POBLACION=285960.
IF (PROVINCIA=4) POBLACION=188167.
IF (PROVINCIA=5) POBLACION=494716.
IF (PROVINCIA=6) POBLACION=528104.
IF (PROVINCIA=7) POBLACION=724193.
IF (PROVINCIA=8) POBLACION=651917.
IF (PROVINCIA=9) POBLACION=4446641.
IF (PROVINCIA=10) POBLACION=482326.
IF (PROVINCIA=11) POBLACION=525984.
IF (PROVINCIA=12) POBLACION=932593.
IF (PROVINCIA=13) POBLACION=1573950.
IF (PROVINCIA=14) POBLACION=200737.
IF (PROVINCIA=15) POBLACION=136434.
IF (PROVINCIA=16) POBLACION=117155.
IF (PROVINCIA=17) POBLACION=3284186.
IF (PROVINCIA=18) POBLACION=597011.
IF (PROVINCIA=19) POBLACION=122921.
IF (PROVINCIA=20) POBLACION=33769.
IF (PROVINCIA=21) POBLACION=235537.
IF (PROVINCIA=22) POBLACION=163095.
IF (PROVINCIA=23) POBLACION=466423.
IF (PROVINCIA=24) POBLACION=409810.
IF (PROVINCIA=99) POBLACION=42732.
EXECUTE.

VARIABLE LABELS POBLACION 'Proyección poblacional'.
FORMATS POBLACION (F10.0).
VARIABLE LEVEL POBLACION (SCALE).
EXECUTE.

COMPUTE TMAT=((NUM_FALLECIDO/POBLACION)*100000).
VARIABLE LABELS TMAT 'Tasa de mortalidad por accidentes de tránsito por cada 100.000 habitantes in situ'.
FORMATS TMAT (F5.2).
EXECUTE.

****CUADRO N° 23****.

***Tabulado: Tasa de Mortalidad por Accidentes de Tránsito por cada 100.000 habitantes in situ por Provincias***.
TABLES
/OBSERVATION= NUM_FALLECIDO POBLACION TMAT
/TABLE= PROVINCIA BY NUM_FALLECIDO + POBLACION + TMAT
/STATISTICS=SUM
/TITLE='INDICADORES ACCIDENTES DE TRÁNSITO, año 2021'
           'POR PROVINCIA'
           '(Número)'
/CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                 'Fuente: Agencia Nacional de Tránsito - ANT 2021'.
EXECUTE.

********************************************************************************************************************.
****TASA DE MORTALIDAD POR ACCIDENTES DE TRÁNSITO POR CADA CIEN MIL HABITANTES A NIVEL NACIONAL***.
********************************************************************************************************************.


*Usando base de datos "2021_SINIESTROS_DE_TRANSITO_BDD"**.
DATASET ACTIVATE TASA_MORTALIDAD.

COMPUTE TOTAL=1.
VARIABLE LABELS TOTAL 'Nacional'.
VALUE LABELS TOTAL 1'NACIONAL'.
FORMATS TOTAL (F1.0).
EXECUTE.

***Agregando la base de datos a nivel nacional***.
DATASET DECLARE TASA_MORTALIDAD_N.
AGGREGATE
  /outfile='TASA_MORTALIDAD_N'
  /break=TOTAL
  /NUM_FALLECIDO=SUM(NUM_FALLECIDO)
  /POBLACION=SUM(POBLACION).


DATASET ACTIVATE TASA_MORTALIDAD_N.

IF (TOTAL=1) POBLACION= 17751277.
EXECUTE.

**Utilización de la base de datos agregada***.
DATASET ACTIVATE TASA_MORTALIDAD_N.

***Preparando la base para el cálculo del indicador***.
VARIABLE LABELS NUM_FALLECIDO 'Número de fallecidos'.
FORMATS NUM_FALLECIDO (F10.0).
EXECUTE.

VARIABLE LABELS POBLACION 'Proyección poblacional'.
FORMATS POBLACION (F10.0).
VARIABLE LEVEL POBLACION (SCALE).
EXECUTE.

COMPUTE TMAT=((NUM_FALLECIDO/POBLACION)*100000).
VARIABLE LABELS TMAT 'Tasa de mortalidad por accidentes de tránsito por cada 100000 habitantes in situ'.
FORMATS TMAT (F5.2).
EXECUTE.


****CUADRO N� 23****.

***Tabulado: Tasa de Mortalidad por Accidentes de Tr�nsito por cada 100.000 habitantes - Nacional***.
TABLES
/OBSERVATION= NUM_FALLECIDO POBLACION TMAT
/TABLE= TOTAL BY NUM_FALLECIDO + POBLACION+ TMAT
/STATISTICS=SUM
/TITLE='INDICADORES ACCIDENTES DE TR�NSITO, año 2021'
           'POR PROVINCIA'
           '(N�mero)'
/CAPTION='Elaboración: Instituto Nacional de Estadística y Censos - INEC'
                 'Fuente: Agencia Nacional de Tr�nsito - ANT 2021'.
EXECUTE.


DATASET ACTIVATE SINIESTROS. 
DATASET CLOSE TASA_MORTALIDAD_N.
DATASET ACTIVATE SINIESTROS. 
DATASET CLOSE TASA_MORTALIDAD.

