* Encoding: UTF-8.

*===================================================================================*
* TTULO DE LA SINTAXIS:*
* Clculo de la Tasa de Siniestros de Trnsito por cada 1000 vehculos matriculados*
* OPERACIN ESTADSTICA:*
* Estadsticas de Transporte (ESTRA)*
* Anuario de Estadsticas de Transporte 2021 - Siniestros de Trnsito*
*DIRECCIN TCNICA RESPONSABLE:*
* Direccin de Estadsticas Econmicas (DECON)*
* ENTIDAD EJECUTORA:*
* Instituto Nacional de Estadstica y Censos (INEC)*
*===================================================================================*
* Fecha de elaboracin:        11 de diciembre del 2018*
* Fecha ltima modificacin: 23 de agosto del 2022*
*===================================================================================*
* Elaborado por:*
* Unidad de Gestin de Estadsticas Estructurales (GESE)*.
* Gabriela Hidalgo.


*Instrucciones:.
*1.- Descarga la base de datos de Siniestros de Trnsito "2021_SINIESTROS_DE_TRANSITO_BDD" en formato SPSS de la pgina 
      web del INEC (http://www.ecuadorencifras.gob.ec//transporte/).
*2.- Guardar y abrir la base de datos "2021_SINIESTROS_DE_TRANSITO_BDD".

DATASET NAME SINIESTROS.
DATASET COPY SINIESTROS.
DATASET  ACTIVATE SINIESTROS.

**********************************************************************************************************************.
*TASA DE SINIESTROS DE TRNSITO POR CADA MIL VEHCULOS A NIVEL PROVINCIAL***.
**********************************************************************************************************************.

***Creando variable nmero de siniestros***.
COMPUTE NST=1.
FORMATS NST (F5.0).
VARIABLE LABELS NST 'Nmero de siniestros'.
EXECUTE.

***Agregando la base de datos a nivel de provincia***.
DATASET DECLARE TASA_SINIESTROS.
AGGREGATE
  /outfile='TASA_SINIESTROS'
  /break=PROVINCIA
  /NST=SUM(NST).

**Utilizacin de la base de datos agregada***.
DATASET  ACTIVATE TASA_SINIESTROS.

***Preparando la base para el clculo del indicador***.
VARIABLE LABELS NST 'Nmero de siniestros de trnsito'.
FORMATS NST (F10.0).
EXECUTE.


IF (PROVINCIA=1) VEHICULOS=163598.
IF (PROVINCIA=2) VEHICULOS=29175.
IF (PROVINCIA=3) VEHICULOS=45347.
IF (PROVINCIA=4) VEHICULOS=23573.
IF (PROVINCIA=5) VEHICULOS=77993.
IF (PROVINCIA=6) VEHICULOS=76077.
IF (PROVINCIA=7) VEHICULOS=119957.
IF (PROVINCIA=8) VEHICULOS=56539.
IF (PROVINCIA=9) VEHICULOS=2295.
IF (PROVINCIA=10) VEHICULOS=552569.
IF (PROVINCIA=11) VEHICULOS=61900.
IF (PROVINCIA=12) VEHICULOS=70757.
IF (PROVINCIA=13) VEHICULOS=145508.
IF (PROVINCIA=14) VEHICULOS=249742.
IF (PROVINCIA=15) VEHICULOS=15095.
IF (PROVINCIA=16) VEHICULOS=9636.
IF (PROVINCIA=17) VEHICULOS=20127.
IF (PROVINCIA=18) VEHICULOS=12077.
IF (PROVINCIA=19) VEHICULOS=534278.
IF (PROVINCIA=20) VEHICULOS=33501.
IF (PROVINCIA=21) VEHICULOS=82508.
IF (PROVINCIA=22) VEHICULOS=31750.
IF (PROVINCIA=23) VEHICULOS=109190.
IF (PROVINCIA=24) VEHICULOS=12661.
EXECUTE.

VARIABLE LABELS VEHICULOS 'Vehculos Motorizados Matriculados 2021'.
FORMATS VEHICULOS (F10.0).
EXECUTE.

COMPUTE TST=(NST/(VEHICULOS/1000)).
VARIABLE LABELS TST 'Tasa de siniestros de trnsito por cada 1000 vehculos matriculados'.
FORMATS TST (F5.0).
EXECUTE.

****CUADRO N 23****.

***Tabulado: Tasa de Siniestros de Trnsito por Provincias***.
TABLES
/OBSERVATION= NST VEHICULOS TST
/TABLE= PROVINCIA BY NST + VEHICULOS+ TST
/STATISTICS=sum
/TITLE='INDICADORES SINIESTROS DE TRNSITO, ao 2021'
           'POR PROVINCIA'
           '(Nmero)'
/CAPTION='Elaboracin: Instituto Nacional de Estadstica y Censos - INEC'
                 'Fuente: Agencia Nacional de Trnsito - ANT 2021'.
EXECUTE.

********************************************************************************************************************.
****TASA DE SINIESTROS DE TRNSITO POR CADA MIL VEHCULOS A NIVEL NACIONAL***.
********************************************************************************************************************.

*Usando base de datos "2021_SINIESTROS_DE_TRANSITO_BDD"**.
DATASET ACTIVATE TASA_SINIESTROS.

COMPUTE TOTAL=1.
VARIABLE LABELS TOTAL 'Nacional'.
VALUE LABELS TOTAL 1'NACIONAL'.
FORMATS TOTAL (F1.0).
EXECUTE.

***Agregando la base de datos a nivel nacional***.
DATASET DECLARE TASA_SINIESTROS_N.
AGGREGATE
  /outfile='TASA_SINIESTROS_N'
  /break=TOTAL
  /NST=SUM(NST)
  /VEHICULOS=SUM(VEHICULOS).

**Se modifica el Nmero total de vehculos a nivel nacional por el valor 2.361.175, ya que debido a la no ocurrencia de siniestros en Galpagos, 
la ejecucin de la sintaxis no suma el nmero de vehculos de esta provincia en la sumatoria a nivel nacional.

DATASET ACTIVATE TASA_SINIESTROS_N.

IF (TOTAL=1) VEHICULOS=2535853.
EXECUTE.

**Utilizacin de la base de datos agregada***.
DATASET ACTIVATE TASA_SINIESTROS_N.

***Preparabdo la base para el clculo del indicador***.
VARIABLE LABELS NST 'Nmero de siniestros de trnsito'.
FORMATS NST (F10.0).
EXECUTE.

VARIABLE LABELS VEHICULOS 'Vehculos Motorizados Matriculados 2021'.
FORMATS VEHICULOS (F10.0).
EXECUTE.

COMPUTE TST=(NST/(VEHICULOS/1000)).
VARIABLE LABELS TST 'Tasa de siniestros de trnsito por cada 1000 Vehculos'.
FORMATS TST (F5.0).
EXECUTE.


****CUADRO N 23****.

***Tabulado: Tasa de Siniestros de Trnsito Nacional***.
TABLES
/OBSERVATION= NST VEHICULOS TST
/TABLE= TOTAL BY NST + VEHICULOS+ TST
/STATISTICS=SUM
/TITLE='INDICADORES SINIESTROSDE TRNSITO, ao 2021'
           'POR PROVINCIA'
           '(Nmero)'
/CAPTION='Elaboracin: Instituto Nacional de Estadstica y Censos - INEC'
                 'Fuente: Agencia Nacional de Trnsito - ANT 2021'.
EXECUTE.


DATASET ACTIVATE SINIESTROS. 
DATASET CLOSE TASA_SINIESTROS_N.
DATASET ACTIVATE SINIESTROS. 
DATASET CLOSE TASA_SINIESTROS.






