* Encoding: UTF-8.

*===================================================================================*
* TTULO DE LA SINTAXIS:*
* Clculo: TASA DE VEHCULOS MATRICULADOS POR CADA MIL HABITANTES*
* OPERACIN ESTADSTICA:*
* Estadsticas de Transporte (ESTRA)
* Anuario de Estadsticas de Transporte 2021 - Vehculos Motorizados Matriculados*
*DIRECCIN TCNICA RESPONSABLE:*
* Direccin de Estadsticas Econmicas (DECON)*
* ENTIDAD EJECUTORA:*
* Instituto Nacional de Estadstica y Censos (INEC)*
*===================================================================================*
* Fecha de elaboracin:        11 de diciembre del 2018*
* Fecha ltima modificacin:  23 de agosto del 2022*
*===================================================================================*
* Elaborado por:*
* Unidad de Gestin de Estadsticas Estructurales (GESE)*.
* Gabriela Hidalgo.


*Instrucciones:.
*1.- Descarga la base de datos de Vehculos Matriculados "2021_vehiculos_matriculados_bdd" en formato SPSS de la pgina 
      web del INEC (http://www.ecuadorencifras.gob.ec//transporte/).
*2.- Guardar y abrir la base de datos "2021_vehiculos_matriculados_bdd".

DATASET NAME VEHICULOS_MATRICULADOS.
DATASET COPY VEHICULOS_MATRICULADOS.
DATASET ACTIVATE VEHICULOS_MATRICULADOS.

**********************************************************************************************************************.
***********TASA DE VEHCULOS MATRICULADOS POR CADA MIL HABITANTES - PROVINCIAL*********************.
**********************************************************************************************************************.

COMPUTE VEHICULOS=1.
FORMATS VEHICULOS (F10.0).
VARIABLE LABELS VEHICULOS 'Nmero de vehculos'.
EXECUTE.

***Agregando la base de datos segn provincia**.

DATASET DECLARE VEHICULOS.
AGGREGATE
  /outfile='VEHICULOS'
  /break=PROVINCIA
  /VEHICULOS=SUM(VEHICULOS).

DATASET ACTIVATE VEHICULOS.

VARIABLE LABELS VEHICULOS 'Nmero de vehculos motorizados matriculados'.
FORMATS VEHICULOS (F10.0).
VARIABLE LEVEL VEHICULOS (SCALE).
EXECUTE.

IF (PROVINCIA=1) POBLACION=895503.
IF (PROVINCIA=2) POBLACION=211413.
IF (PROVINCIA=3) POBLACION=285960.
IF (PROVINCIA=4) POBLACION=188167.
IF (PROVINCIA=5) POBLACION=528104.
IF (PROVINCIA=6) POBLACION=494716.
IF (PROVINCIA=7) POBLACION=724193.
IF (PROVINCIA=8) POBLACION=651917.
IF (PROVINCIA=9) POBLACION=33769.
IF (PROVINCIA=10) POBLACION=4446641.
IF (PROVINCIA=11) POBLACION=482326.
IF (PROVINCIA=12) POBLACION=525984.
IF (PROVINCIA=13) POBLACION=932593.
IF (PROVINCIA=14) POBLACION=1573950.
IF (PROVINCIA=15) POBLACION=200737.
IF (PROVINCIA=16) POBLACION=136434.
IF (PROVINCIA=17) POBLACION=163095.
IF (PROVINCIA=18) POBLACION=117155.
IF (PROVINCIA=19) POBLACION=3284186.
IF (PROVINCIA=20) POBLACION=409810.
IF (PROVINCIA=21) POBLACION=466423.
IF (PROVINCIA=22) POBLACION=235537.
IF (PROVINCIA=23) POBLACION=597011.
IF (PROVINCIA=24) POBLACION=122921.
IF (PROVINCIA=99) POBLACION=42732.
EXECUTE.

VARIABLE LABELS POBLACION 'Proyeccin poblacional'.
FORMATS POBLACION (F10.0).
VARIABLE LEVEL POBLACION (SCALE).
EXECUTE.

COMPUTE TMV= (VEHICULOS/(POBLACION/1000)).
FORMATS TMV (F5.0).
VARIABLE LABELS TMV 'Tasa de vehculos matriculados por cada mil habitantes'.
EXECUTE.

SORT CASES BY PROVINCIA (A).


***CUADRO N 15***.

****POR PROVINCIAS****.

TABLES
/OBSERVATION= VEHICULOS POBLACION TMV
/TABLE=PROVINCIA BY VEHICULOS + POBLACION + TMV
/STATISTICS=SUM
/TITLE='CUADRO N 15'
            'VEHCULOS MATRICULADOS POR CADA 1000 HABITANTES, ao 2021'
            'POR PROVINCIAS'
            '(Nmero)'
/CAPTION='Elaboracin: Instituto Nacional de Estadstica y Censos - INEC'
                 'Fuente: ANT - Agencia Nacional de Trnsito- 2021' 
                 'INEC - Proyecciones Poblacionales 2021'. 	




**********************************************************************************************************************.
***********TASA DE VEHCULOS MATRICULADOS POR CADA MIL HABITANTES - NACIONAL*********************.
**********************************************************************************************************************.

*Usando base de datos "2021_vehiculos_matriculados_bdd"**.
DATASET ACTIVATE VEHICULOS.

COMPUTE TOTAL=1.
VARIABLE LABELS TOTAL 'Nacional'.
VALUE LABELS TOTAL 1'NACIONAL'.
FORMATS TOTAL (F10.0).
EXECUTE.

***Agregando la base de datos a nivel nacional***.
DATASET DECLARE VEHICULOS_N.
AGGREGATE
  /outfile='VEHICULOS_N'
  /break=TOTAL
  /VEHICULOS=SUM(VEHICULOS)
  /POBLACION=SUM(POBLACION).

**Se modifica la Proyeccin Poblacional a nivel nacional 17.510.643, debido a que, al no existir vehculos matriculados en Zonas No Delimitadas,
se ha omitido la poblacin de las zonas no delimitadas en la sumatoria de la Poblacin a nivel nacional.

DATASET ACTIVATE VEHICULOS_N.

IF (TOTAL=1) POBLACION= 17751277.
EXECUTE.


**Utilizacin de la base de datos agregada***.
DATASET ACTIVATE VEHICULOS_N.

VARIABLE LABELS VEHICULOS 'Nmero de vehculos motorizados matriculados'.
FORMATS VEHICULOS (F10.0).
EXECUTE.

VARIABLE LABELS POBLACION 'Proyeccin poblacional'.
FORMATS POBLACION (F10.0).
EXECUTE.

COMPUTE TMV=(VEHICULOS/(POBLACION/1000)).
VARIABLE LABELS TMV 'Tasa de vehculos matriculados por cada mil habitantes'.
FORMATS TMV (F5.0).
EXECUTE.



***CUADRO N 15***.

****POR PROVINCIAS****.

TABLES
/OBSERVATION= VEHICULOS POBLACION TMV
/TABLE=TOTAL BY VEHICULOS + POBLACION + TMV
/STATISTICS=SUM
/TITLE='CUADRO N 15'
            'VEHCULOS MATRICULADOS POR CADA 1000 HABITANTES, ao 2021'
            'POR PROVINCIA'
            '(Nmero)'
/CAPTION='Elaboracin: Instituto Nacional de Estadstica y Censos - INEC'
                 'Fuente: ANT - Agencia Nacional de Trnsito- 2021' 
                 'INEC - Proyecciones Poblacionales 2021'. 	


DATASET ACTIVATE VEHICULOS_MATRICULADOS. 
DATASET CLOSE VEHICULOS_N.
DATASET ACTIVATE VEHICULOS_MATRICULADOS. 
DATASET CLOSE VEHICULOS.



